%define version 0.7.11

Summary:	TetriNET game client for Linux
Name:		gtetrinet
Version:	%{version}
Release:	%mkrel 8
License:	GPLv2+
Group:		Games/Arcade
Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
URL:		http://gtetrinet.sourceforge.net/
Patch0:     gtetrinet-0.7.11-fix_default_server.diff
Patch1:     gtetrinet-0.7.11-fix_format_error.diff 
Buildrequires:	libgnomeui2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:	imagemagick
Requires(post): GConf2 >= 2.3.3
Requires(preun): GConf2 >= 2.3.3

%description
GTetrinet is a client program for the popular TetriNET game, a multiplayer
tetris game that is played over the internet. It is written in GTK.
(If you don't know what TetriNET is, check out tetrinet.org)

Its features include:
  * Fully network compatible with Tetrinet v1.13 for Win95/98/NT
  * Theme support with sound
  * Spectator support on Tetrinet-X servers with the qirc patch by Drslum.


%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --enable-detach --enable-ipv6
%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_liconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
convert -geometry 48x48 gtetrinet.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 gtetrinet.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 gtetrinet.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


%find_lang %{name}

%clean

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_gamesbindir}/*
%{_datadir}/gtetrinet
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_sysconfdir}/gconf/schemas/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.11-8.mga3
+ Revision: 352788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 13 2011 zezinho <zezinho> 0.7.11-7.mga2
+ Revision: 105628
- imported package gtetrinet

